Description
Quando si rimuove un'utenza via OctoNet noto che in

/etc/group

I'utente rimane nei gruppi cui era stato assegnato (p.es. audio, plugdeyv, internet, ...).

History

#1 - 09/08/2017 09:41 AM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee changed from TRUELITE to Paolo Dongilli

Questo su un client o su un server? Resta anche dopo I'aggiornamento eseguito da octofuss-client?

#2 - 09/08/2017 12:32 PM - Paolo Dongilli
- Assignee changed from Paolo Dongilli to Christopher R. Gabriel

Christopher R. Gabriel ha scritto:

Questo su un client o su un server?

Su server.

Resta anche dopo I'aggiornamento eseguito da octofuss-client?

Le utenze che ritrovo assegnate ai gruppi le avevo cancellate tempo fa.

plugdev:x:46:testuser, prova, prova4, provab, cancellamil, test6,provadoc,alunnol, provadoc0l,provainternet,provatre
,haldaemon
audio:x:29:testuser, prova, prova4, provab, cancellamil, test6,provadoc,alunnol, provadoc0l,provainternet,provatre

Consiglio di fare una prova di creazione e cancellazione.
#3 - 09/08/2017 12:37 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Paolo Dongilli

Hai lo stesso comportamento sul client? (visto che i due processi sono leggermente diversi)

#4 - 09/08/2017 03:49 PM - Paolo Dongilli
- Assignee changed from Paolo Dongilli to Christopher R. Gabriel

Christopher R. Gabriel ha scritto:

Hai lo stesso comportamento sul client? (visto che i due processi sono leggermente diversi)

Si. Da /etc/group sul client:

plugdev:x:46:testuser,prova, prova4,provab, cancellamil, test6, provadoc,alunnol,provadoc0l, provainternet, provatre
,haldaemon
audio:x:29:testuser, prova, prova4, provab, cancellamil, test6,provadoc,alunnol, provadoc0l,provainternet,provatre

#5 - 09/11/2017 07:15 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Paolo Dongilli

Ho rivisto la cosa, e' stato fatto cosi' originariamente - dipende da octofuss-client, non da octonet - per evitare che utenti locali, creati in casi specifici,
non perdessero gli eventuali privilegi assegnateli sul singolo client.

Siccome il dato sui client €' frutto di una sincronizzazione, octofuss-client si assicura che I'utente abbia o meno i prilevigi che gli sono stati impostati
su octonet, ma se l'utente sparisce (perche' rimosso), al momento della sincronizzazione questo potrebbe essere un utente locale, da qui la non
rimozione.

In ogni caso, lasciarceli non causa alcun problema, proprio perche' l'utente non esiste.. se viene ricreato con lo stesso nome, a quel punto i permessi
verranno cambiati alla prima sincronizzazione.

#6 - 09/12/2017 04:54 PM - Paolo Dongilli

- Status changed from Commenti to Chiuso

In ogni caso, lasciarceli non causa alcun problema, proprio perche' I'utente non esiste.. se viene ricreato con lo stesso nome, a quel punto i
permessi verranno cambiati alla prima sincronizzazione.

Perfetto, ha senso. Chiudo la issue, grazie.

#7 - 09/18/2017 10:03 AM - Paolo Dongilli

- Status changed from Chiuso to Commenti

Riapro perché ci sono due altre questioni che a dire il vero non mi piacciono:

- gli utenti cancellati rimangono assegnati ai gruppi anche sul server in /etc/group
- penso al caso in cui vengano creati 500 utenti per errore, cancellati e poi questi rimangono assegnati ai gruppi ... non bello.

Riguardo a clash con utenti locali, direi che i referenti o i tecnici debbono fare attenzione a non creare utenze locali uguali a utenti LDAP.

Lascio impostato il ticket a normale ma va trovata una soluzione.

#8 - 09/20/2017 12:53 PM - Paolo Dongilli
- Assignee changed from Paolo Dongilli to TRUELITE

#9 - 09/20/2017 01:35 PM - Christopher R. Gabriel
- Assignee changed from TRUELITE to Paolo Dongilli

Paolo Dongilli ha scritto:
Riapro perché ci sono due altre questioni che a dire il vero non mi piacciono:

- gli utenti cancellati rimangono assegnati ai gruppi anche sul server in /etc/group

Si perche' il processo di sincronizzazione riguarda tutte le macchine. In particolare il server per il gruppo internet usato dal proxy per I'autenticazione.
Quindi la questione vale anche per il server.

- penso al caso in cui vengano creati 500 utenti per errore, cancellati e poi questi rimangono assegnati ai gruppi ... non bello.

Riguardo a clash con utenti locali, direi che i referenti o i tecnici debbono fare attenzione a non creare utenze locali uguali a utenti LDAP.

Non e’ tanto il discorso di creare utenze locali uguali a utenti LDAP (tanto poi per il sistema conterebbero solo quelle locali, visto che NSS risolve
prima localmente), tanto quanto, come dicevo sopra, se ad utenze locali vengono assegnati privilegi, poi vengono persi alla sincronizzazione, perche
octofussd non conosce le utenze locali.
#10 - 09/29/2017 04:36 PM - Paolo Dongilli
- Assignee changed from Paolo Dongilli to Christopher R. Gabriel

Quindi vuoi dire che dobbiamo mantenere un /etc/group sporco?

#11 - 10/02/2017 01:43 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Paolo Dongilli

No, non ho mai scritto questo - stavo solo spiegando le motivazioni di fondo della scelta di implementazione, considerando che avere li' utenti in piu’
non comporta problemi, come invece puo' comportarne la loro rimozione, per permetterti una migliore valutazione della cosa.

Se pensi che averlo "sporco" come dici sia un problema per te, e che nessuno assegnera' mai gruppi che rappresentano privilegi (plugdev, cdrom
etc) ad utenti locali, si puo' anche cambiare. Ma non e' mai stato un problema negli ultimi dieci anni :-)

#12 - 10/16/2017 04:05 PM - Paolo Dongilli
- Assignee changed from Paolo Dongilli to Christopher R. Gabriel

Capisco perfettamente che non da problemi e che quindi potrei comodamente chiudere la issue.
Ma non c'é modo per octofuss-client di discernere se un'utenza presente in /etc/group non esiste localmente per fare in tal caso pulizia?
